[data-accordion-content] {
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.4s ease;
}

[data-accordion-open] [data-accordion-content] {
  max-height: 1000px;
}

[data-accordion-icon] {
  transition: transform 0.3s ease;
}

[data-accordion-open] [data-accordion-icon] {
  transform: rotate(180deg);
}
